package capitulo05.bloque02.coleccionAntiguedades;

public class Joya extends Antiguedad{
    private String materialFabricacion;

    public Joya() {
    }

    public Joya(int anoFabricacion, String origen, float precioVenta, String materialFabricacion) {
        super(anoFabricacion, origen, precioVenta);
        this.materialFabricacion = materialFabricacion;
    }

    public String getMaterialFabricacion() {
        return materialFabricacion;
    }

    public void setMaterialFabricacion(String materialFabricacion) {
        this.materialFabricacion = materialFabricacion;
    }

    @Override
    public String toString() {
        return "Joya{" +

                "anoFabricacion=" + super.getAnoFabricacion() +
                ", origen='" + super.getOrigen() + '\'' +
                ", precioVenta=" + super.getPrecioVenta() +

                ", materialFabricacion='" + materialFabricacion + '\'' +
                '}';
    }
}
